Message: Re: CRY and GEANT4 linking problem Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: CRY and GEANT4 linking problem 

Forum: Installation and Configuration
Re: Question CRY and GEANT4 linking problem (Dung Phan)
Re: Note Re: CRY and GEANT4 linking problem (Ben Morgan)
Date: 02 Oct, 2016
From: Dung Phan <Dung Phan>

Thanks a lot. You're right, the problem is linking the CRY libraries.

In the CMakeLists.txt, I added:

target_link_libraries(LXe ${Geant4_LIBRARIES} ${ROOT_LIBRARIES} /path/to/cry_v1.7/lib/libCRY.a)

Now I can use CRY in Geant4.

 Add Message Add Message
to: "Re: CRY and GEANT4 linking problem"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]